]> ruderich.org/simon Gitweb - config/dotfiles.git/commitdiff
setup.sh: Add set -e.
authorSimon Ruderich <simon@ruderich.org>
Sun, 10 Mar 2013 23:04:32 +0000 (00:04 +0100)
committerSimon Ruderich <simon@ruderich.org>
Sun, 10 Mar 2013 23:04:32 +0000 (00:04 +0100)
setup.sh

index 2f392458c92a8324143fd2222799fb84e0bc836a..10591b6cb02d5dad6bd376e40070ebbc0dfcbfa0 100755 (executable)
--- a/setup.sh
+++ b/setup.sh
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
+set -e
+
 . ../lib.sh
 
 # Create local directories.
 mkdir -p vim/cache
 
-# Create documentation tags for pathogen plugins.
-vim -e -c ':call pathogen#helptags()' -c ':q'
+# Create documentation tags for pathogen plugins. `vim -e` always exists with
+# 1 for unknown reasons.
+vim -e -c ':call pathogen#helptags()' -c ':q' || true
 
 # Link setup.
 link vim ~/.vim